Bug 1343168 - Disable boot checkboxes in attach disk to VM dialog if a bootable disk was already chosen from the list
Summary: Disable boot checkboxes in attach disk to VM dialog if a bootable disk was al...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 16:52 UTC by Tal Nisan
Modified: 2016-07-05 07:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 07:59:16 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.0+
rule-engine: planning_ack+
tnisan: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 58695 0 master MERGED webadmin: Disable boot checkboxes in disk attach upon first selection 2016-06-07 09:28:03 UTC
oVirt gerrit 58733 0 ovirt-engine-4.0 MERGED webadmin: Disable boot checkboxes in disk attach upon first selection 2016-06-07 14:34:25 UTC

Description Tal Nisan 2016-06-06 16:52:00 UTC
Description of problem:
Up until the change that moved the boot property to the relation between a disk and a VM the boot option could not be set when attaching a disk to VM and depended solely on whether the disk is defined as boot or not.
After this change we can decide whether to attach a disk as bootable or not and in that case when we already mark a disk from the list as bootable there's no logic in marking another one as bootable as the operation will fail hence once we mark one the other boxes should be disabled

Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with either no disks or no bootable disk
2. Attempt to attach another disk from the VM disks subtab -> "Attach"
3. A list of disks will be displayed along with a changeable boot checkboxes for each
4. Mark one of the disks as boot

Actual results:
It is allowed to mark other disks as boot as well

Expected results:
After marking one disk as a boot the other boxes should be disabled

Additional info:

Comment 1 Gilad Lazarovich 2016-06-16 08:57:29 UTC
Verified to be fixed on build 4.0.0.4-0.1

Comment 3 Sandro Bonazzola 2016-07-05 07:59:16 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.